Bug 1282790 - Volume expansion should fail if brick sizes are not uniform
Volume expansion should fail if brick sizes are not uniform
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luis Pabón
Anush Shetty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 07:30 EST by Anush Shetty
Modified: 2016-11-08 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-24 15:03:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-11-17 07:30:27 EST
Description of problem: Heketi volume expansion should fail if it cannot create bricks with sizes matching with the ones already part of a volume. 

Currently, when volume expand command is issued, there is a chance that bricks with sizes that don't match the ones part of a volume are added. This is not a supported RHGS configuration.


Version-Release number of selected component (if applicable): heketi-1.0.1-1.el7rhgs.x86_64

Actual results:

Original volume:

# heketi-cli volume info 245b47b0623a6e5454e39a97a7feda6a
Name: vol_245b47b0623a6e5454e39a97a7feda6a
Size: 300
Id: 245b47b0623a6e5454e39a97a7feda6a
Cluster Id: 218e2fcd2044efd3ff8a25ea28425fb2
Mount: rhshdp05.lab.eng.blr.redhat.com:vol_245b47b0623a6e5454e39a97a7feda6a
Mount Options: backupvolfile-servers=rhshdp03.lab.eng.blr.redhat.com,rhshdp06.lab.eng.blr.redhat.com
Durability Type: none   
Snapshot: Disabled

Bricks:
Id: 53d629ac9729e5f71e0530b8fb775768
Path: /var/lib/heketi/mounts/vg_549ee7f380809a8b54b43e6ef6ee8bdf/brick_53d629ac9729e5f71e0530b8fb775768/brick
Size (GiB): 75
Node: cd00d5578458f2516b9979c4205bd2a6
Device: 549ee7f380809a8b54b43e6ef6ee8bdf

Id: 58b827159a4c77ad443f43885f5e750a
Path: /var/lib/heketi/mounts/vg_668fa7c44623f6cc44e0713f607cf13e/brick_58b827159a4c77ad443f43885f5e750a/brick
Size (GiB): 75
Node: 18fe560f9c1d67ff85814ffda31cb1e3
Device: 668fa7c44623f6cc44e0713f607cf13e

Id: 6d56650b75969e4e0d58c8c912ffe87a
Path: /var/lib/heketi/mounts/vg_bba82d760a72bf0ba4f585d929981a97/brick_6d56650b75969e4e0d58c8c912ffe87a/brick
Size (GiB): 75
Node: ffe8f56664de237090b5d794cc99e545
Device: bba82d760a72bf0ba4f585d929981a97

Id: ed0d0eceb3110a25b94b9ff183118ec3
Path: /var/lib/heketi/mounts/vg_6580a67735a0901a77cdd38238cc9929/brick_ed0d0eceb3110a25b94b9ff183118ec3/brick
Size (GiB): 75
Node: ffe8f56664de237090b5d794cc99e545
Device: 6580a67735a0901a77cdd38238cc9929

After expansion:
# heketi-cli volume expand -volume=245b47b0623a6e5454e39a97a7feda6a -expand-size=100
Name: vol_245b47b0623a6e5454e39a97a7feda6a
Size: 500
Id: 245b47b0623a6e5454e39a97a7feda6a
Cluster Id: 218e2fcd2044efd3ff8a25ea28425fb2
Mount: rhshdp05.lab.eng.blr.redhat.com:vol_245b47b0623a6e5454e39a97a7feda6a
Mount Options: backupvolfile-servers=rhshdp03.lab.eng.blr.redhat.com,rhshdp06.lab.eng.blr.redhat.com
Durability Type: none   
Snapshot: Disabled

Id: 00297bf3d6c0bde6622ef7fb17651526
Path: /var/lib/heketi/mounts/vg_daa8dcfff4c7e21bed4a76d62d79bec6/brick_00297bf3d6c0bde6622ef7fb17651526/brick
Size (GiB): 50
Node: a3726e2f4d15bb3f50dd4079275a0e9b
Device: daa8dcfff4c7e21bed4a76d62d79bec6

Id: 0b83abacf28d72312f14cd4e9bc16f54
Path: /var/lib/heketi/mounts/vg_377da65549465d6e81bb6f51d20d4370/brick_0b83abacf28d72312f14cd4e9bc16f54/brick
Size (GiB): 50
Node: cd00d5578458f2516b9979c4205bd2a6
Device: 377da65549465d6e81bb6f51d20d4370

Id: 53d629ac9729e5f71e0530b8fb775768
Path: /var/lib/heketi/mounts/vg_549ee7f380809a8b54b43e6ef6ee8bdf/brick_53d629ac9729e5f71e0530b8fb775768/brick
Size (GiB): 75
Node: cd00d5578458f2516b9979c4205bd2a6
Device: 549ee7f380809a8b54b43e6ef6ee8bdf

Id: 58b827159a4c77ad443f43885f5e750a
Path: /var/lib/heketi/mounts/vg_668fa7c44623f6cc44e0713f607cf13e/brick_58b827159a4c77ad443f43885f5e750a/brick
Size (GiB): 75
Node: 18fe560f9c1d67ff85814ffda31cb1e3
Device: 668fa7c44623f6cc44e0713f607cf13e

Id: 6858a50c4679a79908a792a3ae4abc96
Path: /var/lib/heketi/mounts/vg_20630c890fd09256b1fba50095e29fab/brick_6858a50c4679a79908a792a3ae4abc96/brick
Size (GiB): 50
Node: 18fe560f9c1d67ff85814ffda31cb1e3
Device: 20630c890fd09256b1fba50095e29fab

Id: 6d56650b75969e4e0d58c8c912ffe87a
Path: /var/lib/heketi/mounts/vg_bba82d760a72bf0ba4f585d929981a97/brick_6d56650b75969e4e0d58c8c912ffe87a/brick
Size (GiB): 75
Node: ffe8f56664de237090b5d794cc99e545
Device: bba82d760a72bf0ba4f585d929981a97

Id: 8f955cc55d1c6ddef452a8985903f0bf
Path: /var/lib/heketi/mounts/vg_b81278f19d98672e9a3d83f67a119808/brick_8f955cc55d1c6ddef452a8985903f0bf/brick
Size (GiB): 50
Node: a3726e2f4d15bb3f50dd4079275a0e9b
Device: b81278f19d98672e9a3d83f67a119808

Id: ed0d0eceb3110a25b94b9ff183118ec3
Path: /var/lib/heketi/mounts/vg_6580a67735a0901a77cdd38238cc9929/brick_ed0d0eceb3110a25b94b9ff183118ec3/brick
Size (GiB): 75
Node: ffe8f56664de237090b5d794cc99e545
Device: 6580a67735a0901a77cdd38238cc9929
Comment 2 Luis Pabón 2015-11-20 10:42:06 EST
Hi Anush,
  Can you confirm that this is not supported?
Comment 3 Luis Pabón 2015-12-03 20:23:52 EST
Anush, please update.  AFAIK, this is ok.

- Luis

Note You need to log in before you can comment on or make changes to this bug.